package electrosphere.entity.scene;

/**
 * Description of the realm a scene is created within
 */
public class RealmDescriptor {

    /**
     * A gridded realm
     */
    public static final String REALM_DESCRIPTOR_GRIDDED = "gridded";
    public static final String REALM_DESCRIPTOR_PROCEDURAL = "procedural";
    
    /**
     * The type of realm
     */
    String type = REALM_DESCRIPTOR_GRIDDED;

    /**
     * If this is a gridded realm, what is the size of the realm
     */
    int griddedRealmSize;


    /**
     * Gets the type of realm
     * @return The type
     */
    public String getType(){
        return type;
    }

    /**
     * Sets the type of realm
     * @param realmType The realm type
     */
    public void setType(String realmType){
        this.type = realmType;
    }

    /**
     * Gets the size of the gridded realm
     * @return The size
     */
    public int getGriddedRealmSize(){
        return griddedRealmSize;
    }

    /**
     * Sets the size of the gridded realm
     * @param size The size
     */
    public void setGriddedRealmSize(int size){
        this.griddedRealmSize = size;
    }

}
